execute unless entity @e[tag=settingsDisplay1] run summon minecraft:area_effect_cloud 0 7.5 -18 {Duration:999999,Tags:["settingsDisplay1"],CustomNameVisible:1b,CustomName:'{"text":"Completing Levels","color":"yellow"}'}
execute unless entity @e[tag=settingsDisplay2] run summon minecraft:area_effect_cloud -3 7.5 -17 {Duration:999999,Tags:["settingsDisplay2"],CustomNameVisible:1b,CustomName:'{"text":"Progress","color":"yellow"}'}
execute unless entity @e[tag=settingsDisplay3] run summon minecraft:area_effect_cloud 3 7.5 -17 {Duration:999999,Tags:["settingsDisplay3"],CustomNameVisible:1b,CustomName:'{"text":"Cosmetic Stands","color":"yellow"}'}
execute unless entity @e[tag=levelDisplay] if score next_level settings matches 0 align xyz run summon minecraft:area_effect_cloud 0 7.0 -18 {Duration:999999,Tags:["levelDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Stand Alone","color":"gold"}'}
execute unless entity @e[tag=levelDisplay] if score next_level settings matches 1 align xyz run summon minecraft:area_effect_cloud 0 7.0 -18 {Duration:999999,Tags:["levelDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Stand Together","color":"gold"}'}
execute unless entity @e[tag=progressDisplay] if score save_progress settings matches 0 align xyz run summon minecraft:area_effect_cloud -3 7.0 -17 {Duration:999999,Tags:["progressDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Reset","color":"red"}'}
execute unless entity @e[tag=progressDisplay] if score save_progress settings matches 1 align xyz run summon minecraft:area_effect_cloud -3 7.0 -17 {Duration:999999,Tags:["progressDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Saved","color":"green"}'}
execute unless entity @e[tag=progressDisplay] if score save_progress settings matches 2 align xyz run summon minecraft:area_effect_cloud -3 7.0 -17 {Duration:999999,Tags:["progressDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Current","color":"gold"}'}
execute unless entity @e[tag=cosmeticsDisplay] if score cosmetics settings matches 0 align xyz run summon minecraft:area_effect_cloud 3 7.0 -17 {Duration:999999,Tags:["cosmeticsDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Disabled","color":"red"}'}
execute unless entity @e[tag=cosmeticsDisplay] if score cosmetics settings matches 1 align xyz run summon minecraft:area_effect_cloud 3 7.0 -17 {Duration:999999,Tags:["cosmeticsDisplay","settingsDisplay"],CustomNameVisible:1b,CustomName:'{"text":"Enabled","color":"green"}'}

execute as @a[scores={settings=1}] run scoreboard players add next_level settings 1
execute as @a[scores={settings=1}] if score next_level settings matches 2.. run scoreboard players set next_level settings 0
execute as @a[scores={settings=1}] if score next_level settings matches 0 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - When a level is completed the first player to reach the diamond block moves on. "}]
execute as @a[scores={settings=1}] if score next_level settings matches 1 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - When a level is completed all players on that same level will move on together."}]

execute as @a[scores={settings=2}] run scoreboard players add save_progress settings 1
execute as @a[scores={settings=2}] if score save_progress settings matches 3.. run scoreboard players set save_progress settings 0
execute as @a[scores={settings=2}] if score save_progress settings matches 0 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - Players beginning to play will always start at the first level."}]
execute as @a[scores={settings=2}] if score save_progress settings matches 1 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - Players beginning to play will continue on the level they were last on."}]
execute as @a[scores={settings=2}] if score save_progress settings matches 2 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - Players beginning to play will join the closest player."}]

execute as @a[scores={settings=3}] run scoreboard players add cosmetics settings 1
execute as @a[scores={settings=3}] if score cosmetics settings matches 2.. run scoreboard players set cosmetics settings 0
execute as @a[scores={settings=3}] if score cosmetics settings matches 0 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - Cosmetic Stands are now disabled."}]
execute as @a[scores={settings=3}] if score cosmetics settings matches 1 run tellraw @s ["",{"text":"Settings","color":"yellow"},{"text":" - Cosmetic Stands are now enabled."}]

execute as @a[scores={settings=1..}] run kill @e[tag=settingsDisplay]
execute as @a[scores={settings=1..}] run scoreboard players reset @s settings